matrix:
  bazel: ["7.x"]
  # Dropped Debian 11 because its GCC 10/11 toolchains lack full C++20 constexpr support,
  # Minimum required is GCC 12 or Clang 15+, available in Debian 12+ but BCR doesn't offer it yet.
  unix_platform: ["macos", "macos_arm64", "ubuntu2404", "fedora40"]

tasks:
  unix_test:
    platform: ${{ unix_platform }}
    bazel: ${{ bazel }}
    build_flags:
    - --cxxopt=-std=c++20
    build_targets:
      - '@ada-url//:ada'
  windows_test:
    platform: "windows"
    bazel: ${{ bazel }}
    build_flags:
    - --cxxopt=/std:c++20
    build_targets:
      - '@ada-url//:ada'
